searchNodes=[{"doc":"Behaviour for modules implementing JTI registrationThe purpose of a JTI registration service is to prevent replay attacks by checking if the token was already used before.JTI stands for JWT ID, and identifies a unique JWT security token, but it could work with any token having a unique ID. For instance, this is the case for OpenID Connect ID tokens whose nonce claim is equivalent to a jti.To avoid allowing use of a JWT in case the server's time changes backward, an implementation should use monotonic time (see System.monotonic_time/1).","ref":"JTIRegister.html","title":"JTIRegister","type":"behaviour"},{"doc":"Registers a &quot;jti&quot; with its expiration time &quot;exp&quot;","ref":"JTIRegister.html#c:register/2","title":"JTIRegister.register/2","type":"callback"},{"doc":"Returns true if a &quot;jti&quot; is registered and not expired, false otherwise","ref":"JTIRegister.html#c:registered?/1","title":"JTIRegister.registered?/1","type":"callback"},{"doc":"Starts a JTI register (unsupervised)","ref":"JTIRegister.html#c:start/1","title":"JTIRegister.start/1","type":"callback"},{"doc":"Starts a supervised JTI register","ref":"JTIRegister.html#c:start_link/1","title":"JTIRegister.start_link/1","type":"callback"},{"doc":"A UNIX timestamp","ref":"JTIRegister.html#t:timestamp/0","title":"JTIRegister.timestamp/0","type":"type"},{"doc":"Implementation of the JTIRegister behaviour relying on ETSStores the JTIs in an ETS table. It is therefore not distributed and not suitable when having more than one node.Uses monotonic time, so that erroneous server time does not result in JTIs not being deleted.Options:cleanup_interval: the interval between cleanups of the underlying ETS table in seconds. Defaults to 15Starting the registerIn your MyApp.Application module, add:children = [ JTIRegister.ETS ]orchildren = [ {JTIRegister.ETS, cleanup_interval: 30} ]","ref":"JTIRegister.ETS.html","title":"JTIRegister.ETS","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"JTIRegister.ETS.html#child_spec/1","title":"JTIRegister.ETS.child_spec/1","type":"function"},{"doc":"JTIRegisterA JTI token identifier register, to prevent replay attacksThe library is composed of:the JTIRegister behaviourJTIRegister.ETS, an implementation of the abovementionned behaviour with ETS","ref":"readme.html","title":"JTIRegister","type":"extras"},{"doc":"def deps do [ {:jti_register, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"JTIRegister - Installation","type":"extras"}]